Skip to main content
POST
/
generation
/
bytedance
/
seedream-4.5
Seedream 4.5
curl --request POST \
  --url https://open.skills.video/api/v1/generation/bytedance/seedream-4.5 \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "prompt": "<string>"
}
'
{
  "id": "gen_123",
  "status": "IN_QUEUE",
  "input": {
    "prompt": "a cat",
    "aspect_ratio": "1:1",
    "resolution": "1024x1024",
    "n": 1
  },
  "usage": {
    "total": 20,
    "subscription": 20,
    "permanent": 0
  }
}
Upto 4K, multi-image edits, preserves details, dense text.

Authorizations

Authorization
string
header
required

API Key for API endpoints

Body

prompt
string
required

Text prompt for image generation

image_urls
string<uri>[]

Input image(s) for image-to-image generation. List of 1-14 images for single or multi-reference generation.

resolution
enum<string>
default:2K

Resolution of the generated image

Available options:
1K,
2K,
4K
aspect_ratio
enum<string>
default:16:9

Image aspect ratio

Available options:
1:1,
4:3,
3:4,
16:9,
9:16,
3:2,
2:3,
21:9
n
integer
default:1

Number of results to generate (1-4)

Required range: 1 <= x <= 4

Response

Generation submission accepted

id
string
required

Generation id.

status
enum<string>
required

Queue status

Available options:
IN_QUEUE,
IN_PROGRESS,
COMPLETED,
FAILED,
CANCELED
input
Input · object
required

Normalized input payload for the generation task.

usage
object
required

Credit usage breakdown for the request

code
string

Machine-readable generation error code. Present when status is FAILED.

message
string

Sanitized human-readable failure message. Present when status is FAILED.